import { HostIdentifier } from '../../protocol/proxy-identifier';
import { IRPCMessagePassingProtocol } from '../../protocol/rpc-protocol';
import { VSBuffer } from '@vscode-alt/monaco-editor/esm/vs/base/common/buffer';
export declare class BrowserRemoteRPC implements IRPCMessagePassingProtocol {
    private _$queue;
    private _onMessage;
    private readonly _localHostId;
    constructor(hostId?: HostIdentifier);
    onMessage(event: any): import("@vscode-alt/monaco-editor/esm/vs/base/common/lifecycle").IDisposable;
    connect(socket: WebSocket): void;
    send(buffer: VSBuffer, hostIdentifier: any): void;
}
